PHP ��U
前一頁 |  | 下一頁

# mysql_drop_db

(PHP 3, PHP 4, PHP 5)

mysql_drop_db -- Drop (delete) a MySQL database

## Description

bool mysql_drop_db ( string database_name [, resource link_identifier] )

mysql_drop_db() attempts to drop (remove) an entire database from the server associated with the specified link identifier. This function is deprecated, it is preferable to use mysql_query() to issue a sql DROP DATABASE statement instead.

## Parameters

database_name

  The name of the database that will be deleted.

link_identifier

  The MySQL connection. If the link identifier is not specified, the last link opened by mysql_connect() is assumed. If no such link is found, it will try to create one as if mysql_connect() was called with no arguments. If by chance no connection is found or established, an `E_WARNING` level warning is generated.

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

範例 1. mysql_drop_db() alternative example

`<?php $link = mysql_connect('localhost', 'mysql_user', 'mysql_password'); if (!$link) { die('Could not connect: ' . mysql_error()); } $sql = 'DROP DATABASE my_db'; if (mysql_query($sql, $link)) { echo "Database my_db was successfully dropped\n"; } else { echo 'Error dropping database: ' . mysql_error() . "\n"; } ?>`

## Notes

警告
This function will not be available if the MySQL extension was built against a MySQL 4.x client library.

> 注: For downward compatibility, the following deprecated alias may be used: mysql_dropdb()

## �Ѧ�

mysql_query()

前一頁 | 內容 | 下一頁
mysql_db_query | 上一層 | mysql_errno